export class TableExportButton {
    constructor() {
        this.format = 'csv';
    }
    async clickHandler() {
        this.exportCtrl.create(this);
    }
    render() {
        return (h("ion-button", { "ion-button": true, onClick: () => this.clickHandler() },
            h("slot", null, this.format.toUpperCase())));
    }
    static get is() { return "gl-table-export-button"; }
    static get properties() { return {
        "author": {
            "type": String,
            "attr": "author"
        },
        "exportCtrl": {
            "connect": "gl-table-export-controller"
        },
        "filename": {
            "type": String,
            "attr": "filename"
        },
        "format": {
            "type": String,
            "attr": "format"
        },
        "pageOrientation": {
            "type": String,
            "attr": "page-orientation"
        },
        "pageSubtitle": {
            "type": String,
            "attr": "page-subtitle"
        },
        "pageTitle": {
            "type": String,
            "attr": "page-title"
        },
        "tableId": {
            "type": String,
            "attr": "table-id"
        }
    }; }
}
